apiVersion: v1
kind: Pod
metadata:
  name: disallow-host-ports-bad-1
  labels:
    policies.opencode.de/bsi-protection-requirement: basic
    policies.opencode.de/category: must
    policies.opencode.de/bsi-requirement: APP.4.4.A4
spec:
  containers:
    - name: disallow-host-ports-bad-1
      image: nginxinc/nginx-unprivileged
      ports:
        - hostPort: 22
---
apiVersion: v1
kind: Pod
metadata:
  name: disallow-host-ports-bad-2
  labels:
    policies.opencode.de/bsi-protection-requirement: basic
    policies.opencode.de/category: must
    policies.opencode.de/bsi-requirement: APP.4.4.A4
spec:
  initContainers:
    - name: disallow-host-ports-init-bad-2
      image: nginxinc/nginx-unprivileged
      ports:
        - hostPort: 22
  containers:
    - name: disallow-host-ports-bad-2
      image: nginxinc/nginx-unprivileged
